%define pypi_name openTSNE

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 3
Summary:        Extensible, parallel implementations of t-SNE
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/openTSNE/
Source0:        %{pypi_source}
BuildRequires:  libgomp-devel

%description
Extensible, parallel implementations of t-SNE.

%package -n     python3-%{pypi_name}
Summary:        Extensible, parallel implementations of t-SNE
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(cython)
BuildRequires:  python3-numpy-devel
BuildRequires:  pkgconfig(fftw3)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Extensible, parallel implementations of t-SNE.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files openTSNE

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.1-3.mga10
+ Revision: 2241148
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.1-2.mga10
+ Revision: 2158448
- rebuild for python3.13

* Wed Feb 21 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2042743
- new version: 1.0.1
- new version: 1.0.0
- rebuild for py3.12

* Sun Mar 20 2022 guillomovitch <guillomovitch> 0.6.2-1.mga9
+ Revision: 1801716
- new version 0.6.2

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.5.1-1.mga9
+ Revision: 1705989
- new version 0.5.1

* Sun May 10 2020 daviddavid <daviddavid> 0.3.12-2.mga8
+ Revision: 1582759
- rebuild for updated python deps

* Sat Apr 18 2020 guillomovitch <guillomovitch> 0.3.12-1.mga8
+ Revision: 1568809
- new version 0.3.12

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1534101
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.3.0-4.mga8
+ Revision: 1447012
- add patch to fix linking issue

* Wed Sep 25 2019 tv <tv> 0.3.0-3.mga8
+ Revision: 1445828
- "fix" underlinking
- rebuild for python-3.8

* Sun Apr 14 2019 pterjan <pterjan> 0.3.0-2.mga7
+ Revision: 1389939
- Enable build on aarch64

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.3.0-1.mga7
+ Revision: 1379969
- exclude aarch64
- imported package python-openTSNE

